
export default function *() {
	this.on('action.MatchUp.applySampleCode', function *(sample) {

		this.dispatch('action.WorkBoard.resetAndConnectModules', sample.modules);
		this.dispatch('action.Blockly.resetAndApplySample', sample);
	});
};
